Package org.eclipse.m2m.atl.emftvm.util

## Class LazyCollection.CachingSetIterator

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
  - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator
    - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingSetIterator

All Implemented Interfaces:
  `java.util.Iterator<E>`

Direct Known Subclasses:
  `LazyCollection.UnionSetIterator`

Enclosing class:
  LazyCollection<E>

    public class LazyCollection.CachingSetIterator
    extends LazyCollection.CachingIterator

`LazyCollection.ReadOnlyIterator` that removes duplicate values from the underlying collection.

### Field Summary

Fields
`protected E` `next`
`protected boolean` `nextSet`
`protected java.util.Set<E>` `returnedValues`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`i, inner`

### Constructor Summary

Constructors
`CachingSetIterator()` Creates a new `LazyCollection.CachingSetIterator`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`E` `next()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`updateCache`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Field Detail

#### returnedValues

    protected final java.util.Set<E> returnedValues

#### next

    protected E next

#### nextSet

    protected boolean nextSet

### Constructor Detail

#### CachingSetIterator

    public CachingSetIterator()

Creates a new `LazyCollection.CachingSetIterator`.

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<E>`
Overrides:
  `hasNext` in class `LazyCollection.CachingIterator`

#### next

    public E next()

Specified by:
  `next` in interface `java.util.Iterator<E>`
Overrides:
  `next` in class `LazyCollection.CachingIterator`